import { UiFieldEditingMode } from "../../generated/UiFieldEditingMode";
import { UiDisplayFieldConfig, UiDisplayFieldCommandHandler, UiDisplayFieldEventSource } from "../../generated/UiDisplayFieldConfig";
import { UiField } from "./UiField";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
export declare class UiDisplayField extends UiField<UiDisplayFieldConfig, string> implements UiDisplayFieldEventSource, UiDisplayFieldCommandHandler {
    private _$field;
    private showHtml;
    private removeStyleTags;
    protected initialize(config: UiDisplayFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: string): boolean;
    setShowBorder(showBorder: boolean): void;
    setShowHtml(showHtml: boolean): void;
    setRemoveStyleTags(removeStyleTags: boolean): void;
    getMainInnerDomElement(): JQuery;
    getFocusableElement(): JQuery;
    protected displayCommittedValue(): void;
    focus(): void;
    getTransientValue(): string;
    protected onEditingModeChanged(editingMode: UiFieldEditingMode): void;
    getReadOnlyHtml(value: string, availableWidth: number): string;
    getDefaultValue(): string;
    valuesChanged(v1: string, v2: string): boolean;
}
